Skip to main content
`Ctrl`+`K`

# PetscDTGaussJacobiQuadrature

quadrature for the interval \([a, b]\) with the weight function \((x-a)^\alpha (x-b)^\beta\).

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTGaussJacobiQuadrature(PetscInt npoints, PetscReal a, PetscReal b, PetscReal alpha, PetscReal beta, PetscReal x[], PetscReal w[])

Not Collective

## Input Parameters

- npoints - the number of points in the quadrature rule

- a - the left endpoint of the interval

- b - the right endpoint of the interval

- alpha - the left exponent

- beta - the right exponent

## Output Parameters

- x - array of length `npoints`, the locations of the quadrature points

- w - array of length `npoints`, the weights of the quadrature points

## Note

This quadrature rule is exact for polynomials up to degree 2*`npoints` - 1.

## See Also

`PetscDTGaussQuadrature()`

## Level

intermediate

## Location

src/dm/dt/interface/dt.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages